package cz.senslog.connector.model.soilscount;

import java.time.OffsetDateTime;

public class Measurement {

    private final OffsetDateTime timestamp;
    private final long deviceId;
    private final Double temperature;
    private final Double moisture;
    private final Double conductivity;
    private final Double dielectricity;
    private final Integer site;
    private final Double salinity;
    private final Double fieldCapacity;
    private final Double wiltingPoint;
    private final Double waterBalance;
    private final Double oxygen;
//    private final Double battery;

    public Measurement(OffsetDateTime timestamp, long deviceId, Double temperature, Double moisture, Double conductivity, Double dielectricity, Integer site, Double salinity, Double fieldCapacity, Double wiltingPoint, Double waterBalance, Double oxygen) {
        this.timestamp = timestamp;
        this.deviceId = deviceId;
        this.temperature = temperature;
        this.moisture = moisture;
        this.conductivity = conductivity;
        this.dielectricity = dielectricity;
        this.site = site;
        this.salinity = salinity;
        this.fieldCapacity = fieldCapacity;
        this.wiltingPoint = wiltingPoint;
        this.waterBalance = waterBalance;
        this.oxygen = oxygen;
//        this.battery = battery;
    }

    public OffsetDateTime getTimestamp() {
        return timestamp;
    }

    public long getDeviceId() {
        return deviceId;
    }

    public Double getTemperature() {
        return temperature;
    }

    public Double getMoisture() {
        return moisture;
    }

    public Double getConductivity() {
        return conductivity;
    }

    public Double getDielectricity() {
        return dielectricity;
    }

    public Integer getSite() {
        return site;
    }

    public Double getSalinity() {
        return salinity;
    }

    public Double getFieldCapacity() {
        return fieldCapacity;
    }

    public Double getWiltingPoint() {
        return wiltingPoint;
    }

    public Double getWaterBalance() {
        return waterBalance;
    }

    public Double getOxygen() {
        return oxygen;
    }

//    public Double getBattery() {
//        return battery;
//    }
}
